×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Jun 2003
    Posts
    4

    Python Installation Error

    I'm trying to install the and I'm getting the following error message:

    'Series60ProductID' has not been installed. Install 'Series60ProductID' and try again.

    I don't know if some file is missing from the install file or not - I'm trying to install "PythonForSeries60_pre_SDK20.SIS"... I've seen variations of this error in other places on the forum but not clear explanation as to what's missing or how to fix the problem. I'll re-download again tonight and give it another shot but would also appreciate any help or suggestions around this..

    John

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,563
    Each Series 60 version and each phone have a unique product ID that the installer checks and the developers can specify which combinations the installation package is for (and for which it isn't).

    In other words, the error is due to the developer of the installation package not having changed the default string "Series60ProductID" to something more descriptive,

    It is displayed with the message you see when the installation is attempted on a phone for which the installation package has not been created for.

    So, what phone model did you try to install to? When we know that, we can tell what Python version you should install.

    Pre-Series 60 1st Edition (v0.9) device: 7650

    Series 60 1st Edition (v1.2) devices: 3650, 3620, 3660, N-Gage, N-Gage QD, Siemens SX1, Sendo X.

    Series 60 1st Edition (v2.0) device: 6600, Panasonic X700.

    Series 60 1st Edition, Feature Pack 1 (v2.1) devices: 6620, 7610, 6670, 2620, 3230.

    Series 60 1st Edition, Feature Pack 2 (v2.6) devices: 6630, 6680.

  3. #3
    Registered User
    Join Date
    Jun 2003
    Posts
    4

    Python Installation Error

    Petrib,

    Thanks for the quick reply - that answers the immediate problem - I was trying to install on my Nokia 9290 <sigh>

    I'm guessing from your list that there is not currently a Python port for the 9290??

  4. #4
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,563
    Indeed, there is only Python for Series 60. Nothing for the 9290 (Series 80 1.0) or other Symbian OS based phones.

  5. #5
    Registered User
    Join Date
    Jun 2003
    Posts
    4

    Thanks!

    Petrib,

    Thanks for the info - I'll just keep writing code in the text editor on the 9290 and moving it to some other platform to run on...

  6. #6
    Registered User
    Join Date
    Apr 2006
    Posts
    1

    Re: Python Installation Error

    I want konw about the new version, I use Nokia 3230

    PythonForS60_1stEd_1_3_1.SIS
    PythonForS60_2ndEd_1_3_1.SIS
    PythonForS60_2ndEdFP2_1_3_1.SIS
    PythonForS60_2ndEdFP3_1_3_1.SIS

  7. #7
    Registered User
    Join Date
    Feb 2005
    Location
    Belgium (Europe)
    Posts
    1,352

    Re: Python Installation Error

    Quote Originally Posted by id_sonic
    I want konw about the new version, I use Nokia 3230

    PythonForS60_1stEd_1_3_1.SIS
    PythonForS60_2ndEd_1_3_1.SIS

    PythonForS60_2ndEdFP2_1_3_1.SIS
    PythonForS60_2ndEdFP3_1_3_1.SIS
    Choose PythonForS60_2ndEd_1_3_1.SIS http://prdownloads.sourceforge.net/p...1.SIS?download
    pys60 1.4.5 and 2.0.0, pygame, PyS60 CE on E90 and 5800 !

    Find my pys60 extension modules on cyke64.googlepages.com

  8. #8
    Registered User
    Join Date
    Jul 2007
    Posts
    1

    Unhappy Re: Python Installation Error

    I am not able to install the python on my nokia 3230. i get a message- "security error unable to install". mine is the series 60 second edition. can anyone help me regarding this?

  9. #9
    Super Contributor
    Join Date
    May 2006
    Location
    Oulu, Finland
    Posts
    622

    Re: Python Installation Error

    Hi farrel_007_bond and welcome to the forum

    You need to download and install:
    - PythonForS60_1_4_0_2ndEd.sis
    - PythonScriptShell_1_4_0_2ndEd.sis

    from http://sourceforge.net/project/showf...roup_id=154155

    Remember to remove any previous PyS60 installations before installing the newest version.

    Happy Pythoning!

    LFD
    Devices:
    Nokia E61 3rd Edition - pys60 1.4.0

    Tips and modules:
    http://www.lfdm.net/thesis

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×